Show profile metrics
curl --request GET \
--url https://api.publishbuddy.com/v1/profiles/{profile}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.publishbuddy.com/v1/profiles/{profile}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.publishbuddy.com/v1/profiles/{profile}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publishbuddy.com/v1/profiles/{profile}/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.publishbuddy.com/v1/profiles/{profile}/metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.publishbuddy.com/v1/profiles/{profile}/metrics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publishbuddy.com/v1/profiles/{profile}/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"new_followers": 123,
"likes": 123,
"reach": 123,
"engagements": 123,
"published_posts": 123,
"new_followers_compare": 123,
"likes_compare": 123,
"reach_compare": 123,
"engagements_compare": 123,
"published_posts_compare": 123,
"graphs": {
"gender": {},
"age": {},
"page_fans_country": {},
"page_fans_city": {},
"followers": [
{
"date": "<string>",
"value": 123
}
],
"likes": [
{
"date": "<string>",
"value": 123
}
],
"post_engagement": [
{
"date": "<string>",
"value": 123
}
],
"post_reach": [
{
"date": "<string>",
"value": 123
}
],
"link_clicks": [
{
"date": "<string>",
"value": 123
}
],
"video_views": [
{
"date": "<string>",
"value": 123
}
],
"posts": [
{
"date": "<string>",
"value": 123
}
]
},
"best_time_to_post": [
{
"week_day": 123,
"hour": 123,
"score": 123
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Analytics
Show profile metrics
GET
/
profiles
/
{profile}
/
metrics
Show profile metrics
curl --request GET \
--url https://api.publishbuddy.com/v1/profiles/{profile}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.publishbuddy.com/v1/profiles/{profile}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.publishbuddy.com/v1/profiles/{profile}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publishbuddy.com/v1/profiles/{profile}/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.publishbuddy.com/v1/profiles/{profile}/metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.publishbuddy.com/v1/profiles/{profile}/metrics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publishbuddy.com/v1/profiles/{profile}/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"new_followers": 123,
"likes": 123,
"reach": 123,
"engagements": 123,
"published_posts": 123,
"new_followers_compare": 123,
"likes_compare": 123,
"reach_compare": 123,
"engagements_compare": 123,
"published_posts_compare": 123,
"graphs": {
"gender": {},
"age": {},
"page_fans_country": {},
"page_fans_city": {},
"followers": [
{
"date": "<string>",
"value": 123
}
],
"likes": [
{
"date": "<string>",
"value": 123
}
],
"post_engagement": [
{
"date": "<string>",
"value": 123
}
],
"post_reach": [
{
"date": "<string>",
"value": 123
}
],
"link_clicks": [
{
"date": "<string>",
"value": 123
}
],
"video_views": [
{
"date": "<string>",
"value": 123
}
],
"posts": [
{
"date": "<string>",
"value": 123
}
]
},
"best_time_to_post": [
{
"week_day": 123,
"hour": 123,
"score": 123
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Personal access token, sent as Authorization: Bearer <token>.
Path Parameters
The profile UUID
Query Parameters
Aggregation timeframe, e.g. last_7_days, last_30_days, this_month.
Available options:
last_14_days, last_7_days, last_30_days, last_60_days, last_90_days, prev_month, this_month, this_week, for_all_time Response
ProfileMetricsResource
Show child attributes
Show child attributes